Partially update a contacts group
PATCH
/v1/contactsgroup/{id}/
const url = 'https://example.com/v1/contactsgroup/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","targets":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/v1/contactsgroup/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "targets": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Update one or more fields of an existing contacts group.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this contacts group.
Request Body
Section titled “Request Body”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
name
string
rules
Array<string>
targets
Array<string>
oncall_count
integer
Examplegenerated
{ "name": "example", "targets": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
string format: uuid
name
string
rules
Array<string>
targets
Array<string>
oncall_count
integer
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
name
required
string
rules
required
Array<string>
targets
required
Array<string>
oncall_count
required
integer
Examplegenerated
{ "name": "example", "targets": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}